Functions
IT_Management
Peripheral Driver » LL Driver » DMA » Functions

## Functions
__STATIC_INLINE void | ll_dma_enable_it_tfr (dma_regs_t *DMAx, uint32_t channel)
| Enable Transfer Complete interrupt. More...
__STATIC_INLINE void | ll_dma_enable_it_blk (dma_regs_t *DMAx, uint32_t channel)
| Enable Block Complete interrupt. More...
__STATIC_INLINE void | ll_dma_enable_it_srct (dma_regs_t *DMAx, uint32_t channel)
| Enable source transaction Complete interrupt. More...
__STATIC_INLINE void | ll_dma_enable_it_dstt (dma_regs_t *DMAx, uint32_t channel)
| Enable destination transaction Complete interrupt. More...
__STATIC_INLINE void | ll_dma_enable_it_err (dma_regs_t *DMAx, uint32_t channel)
| Enable error interrupt. More...
__STATIC_INLINE void | ll_dma_disable_it_tfr (dma_regs_t *DMAx, uint32_t channel)
| Disable Transfer Complete interrupt. More...
__STATIC_INLINE void | ll_dma_disable_it_blk (dma_regs_t *DMAx, uint32_t channel)
| Disable Block Complete interrupt. More...
__STATIC_INLINE void | ll_dma_disable_it_srct (dma_regs_t *DMAx, uint32_t channel)
| Disable source transaction Complete interrupt. More...
__STATIC_INLINE void | ll_dma_disable_it_dstt (dma_regs_t *DMAx, uint32_t channel)
| Disable destination transaction Complete interrupt. More...
__STATIC_INLINE void | ll_dma_disable_it_err (dma_regs_t *DMAx, uint32_t channel)
| Disable error interrupt. More...
__STATIC_INLINE uint32_t | ll_dma_is_enable_it_tfr (dma_regs_t *DMAx, uint32_t channel)
| Check if DMA Transfer interrupt is enabled or disabled. More...
__STATIC_INLINE uint32_t | ll_dma_is_enable_it_blk (dma_regs_t *DMAx, uint32_t channel)
| Check if DMA block interrupt is enabled or disabled. More...
__STATIC_INLINE uint32_t | ll_dma_is_enable_it_srct (dma_regs_t *DMAx, uint32_t channel)
| Check if DMA source transaction interrupt is enabled or disabled. More...
__STATIC_INLINE uint32_t | ll_dma_is_enable_it_dstt (dma_regs_t *DMAx, uint32_t channel)
| Check if DMA destination transaction interrupt is enabled or disabled. More...
__STATIC_INLINE uint32_t | ll_dma_is_enable_it_err (dma_regs_t *DMAx, uint32_t channel)
| Check if DMA error interrupt is enabled or disabled. More...
__STATIC_INLINE void | ll_dma_enable_it (dma_regs_t *DMAx, uint32_t channel)
| Enable DMA channel interrupt. More...
__STATIC_INLINE void | ll_dma_disable_it (dma_regs_t *DMAx, uint32_t channel)
| Disable DMA channel interrupt. More...

## Detailed Description

## Function Documentation

## ◆ ll_dma_disable_it()

__STATIC_INLINE void ll_dma_disable_it | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Disable DMA channel interrupt.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTLL | INI_EN | +———————-+———————————–+ \endrst

Parameters

  DMAx | DMA instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 4555 of file gr55xx_ll_dma.h.

## ◆ ll_dma_disable_it_blk()

__STATIC_INLINE void ll_dma_disable_it_blk | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Disable Block Complete interrupt.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MASK_BLK | BLK_WE&BLK | +———————-+———————————–+ \endrst

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 4275 of file gr55xx_ll_dma.h.

## ◆ ll_dma_disable_it_dstt()

__STATIC_INLINE void ll_dma_disable_it_dstt | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Disable destination transaction Complete interrupt.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MASK_DST_TRN | DST_TRN_WE&DST_TRN | +———————-+———————————–+ \endrst

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 4331 of file gr55xx_ll_dma.h.

## ◆ ll_dma_disable_it_err()

__STATIC_INLINE void ll_dma_disable_it_err | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Disable error interrupt.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MASK_ERR | ERR_WE&ERR | +———————-+———————————–+ \endrst

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 4359 of file gr55xx_ll_dma.h.

## ◆ ll_dma_disable_it_srct()

__STATIC_INLINE void ll_dma_disable_it_srct | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Disable source transaction Complete interrupt.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MASK_SRC_TRN | SRC_TRN_WE&SRC_TRN | +———————-+———————————–+ \endrst

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 4303 of file gr55xx_ll_dma.h.

## ◆ ll_dma_disable_it_tfr()

__STATIC_INLINE void ll_dma_disable_it_tfr | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Disable Transfer Complete interrupt.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MASK_TFR | TFR_WE&TFR | +———————-+———————————–+ \endrst

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 4247 of file gr55xx_ll_dma.h.

## ◆ ll_dma_enable_it()

__STATIC_INLINE void ll_dma_enable_it | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Enable DMA channel interrupt.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTLL | INI_EN | +———————-+———————————–+ \endrst

Parameters

  DMAx | DMA instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 4527 of file gr55xx_ll_dma.h.

## ◆ ll_dma_enable_it_blk()

__STATIC_INLINE void ll_dma_enable_it_blk | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Enable Block Complete interrupt.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MASK_BLK | BLK_WE&BLK | +———————-+———————————–+ \endrst

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 4135 of file gr55xx_ll_dma.h.

## ◆ ll_dma_enable_it_dstt()

__STATIC_INLINE void ll_dma_enable_it_dstt | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Enable destination transaction Complete interrupt.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MASK_DST_TRN | DST_TRN_WE&DST_TRN | +———————-+———————————–+ \endrst

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 4191 of file gr55xx_ll_dma.h.

## ◆ ll_dma_enable_it_err()

__STATIC_INLINE void ll_dma_enable_it_err | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Enable error interrupt.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MASK_ERR | ERR_WE&ERR | +———————-+———————————–+ \endrst

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 4219 of file gr55xx_ll_dma.h.

## ◆ ll_dma_enable_it_srct()

__STATIC_INLINE void ll_dma_enable_it_srct | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Enable source transaction Complete interrupt.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MASK_SRC_TRN | SRC_TRN_WE&SRC_TRN | +———————-+———————————–+ \endrst

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 4163 of file gr55xx_ll_dma.h.

## ◆ ll_dma_enable_it_tfr()

__STATIC_INLINE void ll_dma_enable_it_tfr | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Enable Transfer Complete interrupt.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MASK_TFR | TFR_WE&TFR | +———————-+———————————–+ \endrst

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 4107 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_enable_it_blk()

__STATIC_INLINE uint32_t ll_dma_is_enable_it_blk | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Check if DMA block interrupt is enabled or disabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MASK_BLK | BLK_WE&BLK | +———————-+———————————–+ \endrst

Parameters

  DMAx | DMA instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 4415 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_enable_it_dstt()

__STATIC_INLINE uint32_t ll_dma_is_enable_it_dstt | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Check if DMA destination transaction interrupt is enabled or disabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MASK_DST_TRN | DST_TRN | +———————-+———————————–+ \endrst

Parameters

  DMAx | DMA instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 4471 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_enable_it_err()

__STATIC_INLINE uint32_t ll_dma_is_enable_it_err | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Check if DMA error interrupt is enabled or disabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MASK_ERR | ERR | +———————-+———————————–+ \endrst

Parameters

  DMAx | DMA instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 4499 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_enable_it_srct()

__STATIC_INLINE uint32_t ll_dma_is_enable_it_srct | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Check if DMA source transaction interrupt is enabled or disabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MASK_SRC_TRN | SRC_TRN | +———————-+———————————–+ \endrst

Parameters

  DMAx | DMA instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 4443 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_enable_it_tfr()

__STATIC_INLINE uint32_t ll_dma_is_enable_it_tfr | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Check if DMA Transfer interrupt is enabled or disabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MASK_TFR | TFR | +———————-+———————————–+ \endrst

Parameters

  DMAx | DMA instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 4387 of file gr55xx_ll_dma.h.